#include <bits/stdc++.h>
using namespace std;
int n,k,a[20005],x;
int main(){
    scanf("%d %d", &n, &k);
    for(int i=1;i<=n;i++){
        scanf("%d", &a[i]);
    }
    for(int i=1;i<=n;i++){
        if(a[i]==k){
            if(i==n)x=a[1];
            else    x=a[i+1];
        }
    }
    printf("%d\n", x);


return 0;}